//垂直滚动
var gundong = function(options){
    var itvl=false;    
    var settings={
        wait   :4000, //滚动间隔 默认4秒
        speed  :500, //滚动过程时间 500ms
        tag    :"li", //滚动的元素 可以设置为 ul li 等你需要的tag
        num    :1     //每次滚动的量 默认为一个    
    }        
    var _this=$(this);    
    if(options) $.extend(settings,options);    
    var sht=_this.find(settings.tag).eq(0).css("height"); //取得滚动元素高度
    sht=parseInt(sht)*settings.num;   //取得每次要滚动的高度    
    var ani=function(){ //滚动函数
        _this.animate({
            top:-sht+"px"
        },settings.speed,function(){       
            for( i=0; i<settings.num; i++){ //形成循环DOM操作
                _this.find(settings.tag).eq(0).appendTo(_this);
            }
            _this.css({
                "top":0
            }); //滚动完毕 将 top 重置为 0
        });
    }        
    itvl=setInterval(ani,settings.wait); //设置周期
}

//变量
var a1 = false,a2 = false,a3 = false,a4 = false,a5 = false,a6 = false;
//自定义表单验证
var checkForm = {
    focusName : function(inputObj){
        //判断input的值是否为空的方法
        //jQuery无论查找的元素存在与否，都会有返回值
        //所以要利用返回值的长度来判断
        if($("#int-name").length > 0)
        {
            $("#int-name").empty();
            $("#int-name").css("color", "#1949A6").append("请输入站点名称，如抓址网，控制在八字以内！");
        }
        else
        {
            inputObj.after("<em id='int-name'>请输入站点名称，如抓址网，控制在八字以内！</em>");
        }
    },
    focusUrl : function(inputObj){
        if($("#int-url").length > 0)
        {
            $("#int-url").empty();
            $("#int-url").css("color", "#1949A6").append("请输入您的站点的访问地址，如http://www.zhuazhi.com");
        }
        else
        {
            inputObj.after("<em id='int-url'>请输入您的站点的访问地址,如:http://www.zhuazhi.com</em>");
        }
    },
    focusContacts:function(inputObj){
        if($("#int-contacts").length > 0)
        {
            $("#int-contacts").empty();
            $("#int-contacts").css("color", "#1949A6").append("您站点的联系方式，如QQ，邮箱");
        }
        else
        {
            inputObj.after("<em id='int-contacts'>您站点的联系方式，如QQ，邮箱</em>");
        }
    },
    blurName:function(inputTxt, txt){
        reg=/.$/;
        if(reg.test(txt)){
            a1 = true;
            $("#int-name").empty();
            $("#int-name").css("color", "#71b83d").append("输入正确");
        }else{
            $("#int-name").empty();
            $("#int-name").css("color", "red").append("该项不能为空");
        }
    },
    blurUrl:function(inputTxt, txt){
        //判断网页地址正则表达式
        reg=/^\b((https|http)?:\/\/[-a-z0-9]+(\.[-a-z0-9]+)*\.(?:com|edu|gov|int|mil|net|org|biz|info|name|museum|coop|aero|[a-z][a-z]|((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d))\b(\/[-a-z0-9_:\@&?=+,.!\/~%\$]*)?)$/i;
        if(reg.test(txt)){
            a2 = true;
            $("#int-url").empty();
            $("#int-url").css("color", "#71b83d").append("输入正确");
        }else{
            $("#int-url").empty();
            $("#int-url").css("color", "red").append("请输入正确的访问地址");
        }
    },
    blurContacts:function(inputTxt,txt){
        reg=/.$/;
        if(reg.test(txt)){
            a3 = true;
            $("#int-contacts").empty();
            $("#int-contacts").css("color", "#71b83d").append("输入正确");
        }else{
            $("#int-contacts").empty();
            $("#int-contacts").css("color", "red").append("该项不能为空");
        }
    }
};
//自定义验证库结束

//文字复制
copyText = function(str){
    if(browerKernel.isIE()){
        clipboardData.setData('Text', str);
        alert("站点链接已经复制到你的粘贴板中\n您可使用CTRL+V粘贴");
    }else{
        prompt("您的浏览器不支持自动复制,请按CTRL+C手动复制:", str);
    }
};

$(document).ready(function(){
    //文本输入区域文字清除
    $(".w-info textarea").focus(function(){
        $(this).empty();
    });
    $(".link-int").click(function(){
        var str = $(this).val();
        copyText(str);
    });
    //表单验证
    //获得焦点处理
    $("input:text.wi-int").focus(function(){
        var name = $(this).attr("name");
        switch(name){
            case "title" :
                checkForm.focusName(
                    $(this)
                    );
                break;
            case "url":
                checkForm.focusUrl(
                    $(this)
                    );
                break;
            case "email":
                checkForm.focusContacts(
                    $(this)
                    );
                break;
        }      
    });
    //失去焦点时处理
    $("input:text.wi-int").blur(function(){
        var name = $(this).attr("name");
        switch(name){
            case "title" :
                checkForm.blurName(
                    $(this),
                    $(this).val()
                    ) ;
                break;
            case "url":
                checkForm.blurUrl(
                    $(this),
                    $(this).val()
                    );
                break;
            case "email":
                checkForm.blurContacts(
                    $(this),
                    $(this).val()
                    );
                break;
        }      
    });//end blur
    
    //提交按钮时检查参数
    $(".finally input.w-btn").click(function(){
        if(a1 && a2 && a3){
		return true;
        }else{
            $("#int-btn").empty();
            $(this).after("<em id='int-btn'>无法提交，请检查提交信息</em>");
            return false;
        }
    });
    
    //设置超时执行函数
    setInterval(function(){        
        //这个是向下滚动
        /*
        //获取元素组的最后一个元素
        var select = ".w-sl ul.dat-list li:last";
        var liClone = $(select).clone();
        $(select).remove();
        liClone.prependTo($("ul.dat-list")).hide().slideDown("2000");
        */
        //这个是向上滚动
        var liClone;
        var select = $(".w-sl ul.dat-list li:first");
        liClone = select.clone();
        select.slideUp("500", function(){
            select.remove();
        });
        liClone.appendTo($("ul.dat-list"));
        
    }, 3000);
})
